macroScript DigitalSpaces_Exporter category:"DigitalSpaces" tooltip:"Digital Spaces Exporter" Icon:#("DigitalSpaces_Exporter",1) (
	
	--declare vars
	global PRE_CURRENT_VERSION = undefined
	global PRE_INI_FILE_PATH = undefined
	global PRE_EXPORTER_PATH = undefined
	
	--Gather script location
	try ( PRE_EXPORTER_PATH = (getDir #userscripts) +"\\DigitalSpaces\\ds_exporter\\" ) catch ( messageBox "Unable to get user directory. Be sure script was installed correctly." )
	
	PRE_INI_FILE_PATH = PRE_EXPORTER_PATH + "config.ini"

	--Look for version in ini file.
	try ( PRE_CURRENT_VERSION = (getIniSetting PRE_INI_FILE_PATH "Settings" "CurrentVersion") ) catch ( messageBox "Unable to find .ini file. Be sure script was installed correctly." )
	
	--Convert version to underscores
	try ( PRE_CURRENT_VERSION_UNDERSCORE = substituteString PRE_CURRENT_VERSION  "." "_" ) catch ( messageBox "Unable to convert version to underscore." )
	
	--Launch current script
	try(fileIn (PRE_EXPORTER_PATH + PRE_CURRENT_VERSION_UNDERSCORE + "\\initialize.mse") quiet:true ) catch(messagebox "An unexpected error has occurred." )
	
)